
Member Nodes - Task #8829

MNDeployment # 3238 (Operational): Idaho Northwest Knowledge Network member node 

get DKAN connected to GMN

2019-07-23 16:41 - Amy Forrester

Status: New Start date: 2019-07-23

Priority: High Due date:  

Assignee: John Evans % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Matt J talked to Carrie -- They recently installed DKAN, and are now having trouble programatically uploading to GMN as Ed had

been doing.  She was interested in MetacatUI and that there could be a web-based form for uploading content.  NKN was unaware

that this might be possible with GMN and Metacat.  She had lots of good comments about our new service models too.  We should

definitely follow up.

At a minimum we need to help them get DKAN connected to GMN, as none of their new content is making it into GMN.

History

#1 - 2019-07-23 16:43 - Amy Forrester

- Assignee deleted (Jing Tao)

#2 - 2019-07-24 02:40 - Amy Forrester

Meeting scheduled - 7/23/19 carrie roever;james o'dell

dave.vieglais;john evans; roger.dahl; amy Forrester

epad Notes

#3 - 2019-07-24 19:59 - Amy Forrester

- Assignee set to John Evans

#4 - 2019-08-30 19:09 - John Evans

There are no landing pages, so all the information must be taken from the metadata documents.

All metadata documents appear to be found at https://www.northwestknowledge.net/data/*/metadata.xml

There are 162 directories, but 20 do not have metadata.xml files.  Those that do have metadata.xml exhibit an issue that may be on our end.  The

metadata xml files validate from within the slendernode client, but they do not validate when sent to the test gmn.  My test gmn may be a few revs

behind, I will look into that.

The issue seems to be that the lead element is "gmd:MI_Metadata" instead of "gmd:MD_Metadata".  That should be ok, I think.  If I change this on the

fly, then 17 documents do validate but 98 fail.

There are no DOIs in the metadata documents.  For the moment, I am substituting the gmd:fileIdentifier.  But 34 of the 98 failures are due to the

metadata document not having such an element.  It appears that in each of these cases, the dataset is a series, see 

https://www.northwestknowledge.net/data/7bf46cda-403a-4a73-b591-efa5dabcdb72/ as an example.  These documents do validate according to our

own tools.

Again with the identifier, most of the gmd:fileIdentifier items are UUIDs, but not all of them.

There are at least 26 documents where a gmd:URL element is not a proper URI.

At least 11 documents (https://www.northwestknowledge.net/data/d986d1f3-89c1-4c76-9946-eb750f3e921a/metadata.xml) are invalid due to

improper use of gmx:Anchor.
#5 - 2019-09-03 13:24 - John Evans

It looks like the MI_Metadata-vs-MD_Metadata was a case of the gmn software on the server side being too far behind.  After creating a new instance

with updated versions of the gmn software, these documents harvested ok.
